Subject: Bargain on energy efficiency products guide

From: [email-masked] (Christopher Gronbeck)
Date: 7 Oct 1994 16:20:15 -0400

[ also posted to alt.architecture.alternative ]

Iris Communications is offering their 1994 Energy Source Directories
for $50 each to reduce inventory before the 1995 editions come out.
There is a residential and a commercial version.  I have seen them and
they are comprehensive and easy to understand.  They cover a wide
range of energy efficiency products and are the best guides like this
I've seen.  They normally sell for up to $175 each.  To contact Iris,
call 800-346-0104 or 503-484-9353.  They accept VISA, MasterCard,
checks, and P.O.s, but check with them on the last one.

I am not affiliated with Iris at all, I just got a press release and
know that their work is decent.

Christopher Gronbeck

-- 
Christopher Gronbeck
Technical Stuff
Center for Renewable Energy and Sustainable Technology (CREST)
[email-masked]     +1-202-289-5366     fax +1-202-289-5354